
/* ----------------------------- GÉNÉRAL ----------------------------- */

body#checkout .container {
  min-height: unset;
}

.media-list {
  margin: 0;
}

body#checkout .media-body {
  width: auto;
}

#checkout .card {
  border: 0;
}

#checkout header {
  position: relative;
}

#checkout #header {
  border: none !important;
}

#checkout #header .displayNavFullWidth {
  border-bottom: solid 1px var(--color-light-grey);
}

#cart #wrapper,
#checkout #wrapper {
  padding: 0;
}

body#checkout a:hover {
  color: var(--color-white);
}

body#checkout #order-summary-content #order-items > .row {
  margin-inline: unset;
}

body#checkout #order-summary-content #order-items > .row > .card-title.col-12{
  padding-left: 20px;
}

body#checkout #order-summary-content .order-confirmation-table,
body#order-confirmation #order-items > .order-confirmation-table {
  display: flex;
  flex-direction: column;
}

body#order-confirmation #order-items > .order-confirmation-table {
  width: 100%;
}

@media (max-width: 991px) {
  body#cart #wrapper .container,
  body#checkout #wrapper .container {
    padding: 0 1.875rem;
  }

  .card {
    background-color: #fff;
  }

  #checkout #wrapper {
    padding: 0;
  }
}

/* ----------------------------- CHECKOUT HEADER ----------------------------- */

.checkout-header {
  border-bottom: 1px solid var(--color-black);
  padding: 0.9375rem 0;
}

.checkout-header__wrapper {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 1600px;
  padding: 0 0.9375rem;
  width: 100%;
}

/* ----------------------------- CHECKOUT STEPS ----------------------------- */

.checkout-steps-wrapper {
  padding: 4.375rem 0 1.875rem 0;
}

.checkout-steps {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 1300px;
  padding: 0 0.9375rem;
  position: relative;
  width: 100%;
}

.checkout-steps:after {
  border-top: 1px dashed var(--color-light-grey);
  bottom: 9px;
  content: "";
  height: 1px;
  left: 0.9375rem;
  position: absolute;
  width: calc(100% - 1.875rem);
  z-index: -1;
}

.checkout-steps__item__inner {
  position: relative;
}

.checkout-steps__item__inner p {
  color: var(--color-light-grey);
  font-size: 0.75rem;
  line-height: 1rem;
  font-weight: 700;
  left: 50%;
  position: absolute;
  text-align: center;
  top: -1.5625rem;
  transform: translateX(-50%);
  white-space: nowrap;
}

.checkout-steps__item.enabled.last .checkout-steps__item__inner p {
  color: var(--color-black);
}

.checkout-steps__item.enabled:before {
  border-top: 1px solid var(--color-light-grey);
  bottom: 9px;
  content: "";
  height: 1px;
  position: absolute;
  width: calc(25% - 1.9375rem);
  z-index: 0;
}

.checkout-steps__item:after {
  border-top: 1px dashed var(--color-light-grey);
  bottom: 9px;
  content: "";
  height: 1px;
  position: absolute;
  width: calc(25% - 1.9375rem);
  z-index: 0;
}

.checkout-steps__item.enabled .checkout-steps__dot {
  background-color: var(--color-light-grey);
  border-color: var(--color-light-grey);
}

.checkout-steps__item.enabled.last .checkout-steps__dot {
  background: radial-gradient(var(--color-primary) 0%, var(--color-primary) 20%, white 20%);
  border-color: var(--color-primary);
}

.checkout-steps>.checkout-steps__item.activate-step1.enabled:before {
  display: none;
}

.checkout-steps>.checkout-steps__item.activate-step2.enabled:before {
  left: calc(0% + 2.1875rem);
}

.checkout-steps>.checkout-steps__item.activate-step3.enabled:before {
  left: calc(25% + 1.3125rem);
}

.checkout-steps>.checkout-steps__item.activate-step4.enabled:before {
  left: calc(50% + 0.625rem);
}

.checkout-steps>.checkout-steps__item.activate-step5.enabled:before {
  left: calc(75% - 0.0625rem);
}

.checkout-steps>.checkout-steps__item.activate-step1:after {
  left: calc(0% + 2.1875rem);
}

.checkout-steps>.checkout-steps__item.activate-step2:after {
  left: calc(25% + 1.3125rem);
}

.checkout-steps>.checkout-steps__item.activate-step3:after {
  left: calc(50% + 0.625rem);
}

.checkout-steps>.checkout-steps__item.activate-step4:after {
  left: calc(75% - 0.1875rem);
}

.checkout-steps>.checkout-steps__item.activate-step5:after {
  display: none;
}

.checkout-steps__dot {
  background-color: white;
  border-radius: 0.625rem;
  border: 1px solid var(--color-light-grey);
  display: block;
  height: 1.25rem;
  margin: 1.5625rem auto 0 auto;
  width: 1.25rem;
}

.activate-step1,
.activate-step2,
.activate-step3,
.activate-step4,
.activate-step5 {
  cursor: default;
  pointer-events: none;
}

.activate-step1.enabled,
.activate-step2.enabled,
.activate-step3.enabled,
.activate-step4.enabled,
.activate-step5.enabled {
  cursor: pointer;
  pointer-events: unset;
}

.checkout-mobile-step {
  display: none;
}

@media (max-width: 991px) {
  .checkout-steps-wrapper {
    padding: 1.875rem 0.9375rem;
  }

  .checkout-steps {
    justify-content: center;
  }

  .checkout-steps:after,
  .checkout-steps__dot,
  .checkout-steps__item:not(.enabled.last),
  .checkout-steps>.checkout-steps__item:after,
  .checkout-steps>.checkout-steps__item:before {
    display: none;
  }

  .checkout-steps__item__inner p {
    font-size: 1rem;
    line-height: 1.25rem;
    margin-bottom: 0;
    position: unset;
    transform: none;
  }

  .checkout-mobile-step {
    display: inline-block;
    font-weight: 400;
  }
}

/* ----------------------------- CART GRID LAYOUT ----------------------------- */

#cart .cart-grid,
body#checkout section#content {
  display: flex;
  align-items: flex-start;
  gap: 1.875rem;
  padding: 3.125rem 0 6.25rem 0;
  margin-bottom: 0;
}

body#cart .cart-grid-body,
body#checkout section#content .cart-grid-body {
  width: 66.66%;
  background-color: var(--color-white);
}

body#cart .cart-grid-right,
body#checkout section#content .cart-grid-right {
  width: 33.33%;
}

@media (max-width: 991px) {
  #cart .cart-grid,
  body#checkout section#content {
    flex-direction: column-reverse;
    align-items: stretch;
    padding: 0 0 3.125rem 0;
  }

  body#cart .cart-grid-body,
  body#checkout section#content .cart-grid-body,
  body#cart .cart-grid-right,
  body#checkout section#content .cart-grid-right {
    width: 100%;
  }
}

/* ----------------------------- CART BODY ----------------------------- */

#cart .cart-grid-body,
#cart .card {
  margin-bottom: 0;
  background-color: var(--color-white);
}

.cart-grid-body {
  padding: 1.875rem;
}

.cart-grid-body .card-block {
  padding: 0;
}

#cart .cart-grid-body .card-block h1 {
  border-bottom: 1px solid #ddd;
  color: var(--color-black);
  font-size: 1.5625rem;
  line-height: 1.875rem;
  margin: 0 0 1.25rem 0;
  padding-bottom: 1.875rem;
  text-align: center;
  text-transform: unset;
}

.cart-grid-body .cart-overview {
  padding: 0;
}

@media (max-width: 991px) {
  #cart .cart-grid-body .card-block h1 {
    font-size: 1.125rem;
    line-height: 1.25rem;
    margin: 0.625rem 0 1.25rem 0;
  }
}

@media (max-width: 768px) {
  .cart-grid-body {
    padding: 0.9375rem;
  }

  #cart .cart-grid-body .card-block h1 {
    margin-top: 0;
    padding-bottom: 0.9375rem;
  }
}

/* ----------------------------- CART SUMMARY ----------------------------- */

#cart .cart-summary {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  padding: 1.875rem;
  background-color: var(--color-white);
}

#cart .cart-summary .card-block:not(.cart-summary-totals) {
  padding: 0;
}

.card-block.cart-summary-totals {
  padding: 0.9375rem 0;
}

@media (max-width: 768px) {
  #cart .cart-summary {
    padding: 0.9375rem;
  }
}

/* ----------------------------- CART ITEMS ----------------------------- */

#cart .cart-items {
  list-style: none;
}

@media (max-width: 575px) {
  .cart-items {
    padding: 0;
  }
}

/* ----------------------------- PRODUCT LINE GRID ----------------------------- */

#cart .product-line-grid {
  align-items: center;
  display: grid;
  grid-template-columns: auto 1fr 4fr;
  gap: 1.875rem;
}

#cart .product-line-grid-left,
#cart .product-line-grid-right {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#cart .product-line-grid > .product-line-grid-body {
  display: grid;
  grid-template-columns: 5fr 7fr;
  gap: 1.875rem;
}

.cart-product-line-right {
  align-items: center;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 1.875rem;
}

.product-line-grid-right .cart-line-product-actions {
  line-height: 0;
}

.product-line-grid-right .cart-line-product-actions .remove-from-cart {
  margin-top: 0;
}

@media (max-width: 991px) {
  #cart .product-line-grid-left,
  #cart .product-line-grid-body,
  #cart .product-line-grid-right {
    display: block;
  }

  .product-line-grid-body {
    margin-bottom: 0;
  }

  .product-line-grid-right .cart-line-product-actions .remove-from-cart i,
  .product-line-grid-right .product-price .remove-from-cart i {
    font-size: 1.25rem;
    line-height: 1.5rem;
  }
}

@media (max-width: 768px) {
  #cart .product-line-grid {
    display: grid;
    grid-template-columns: auto 6.25rem 1fr;
    gap: 0.9375rem;
  }

  #cart .product-line-grid > .product-line-grid-body {
    display: block;
  }
}

/* ----------------------------- PRODUCT INFORMATION ----------------------------- */

#cart .product-line-info a.label {
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 700;
}

#cart .product-line-info .label,
#cart .product-line-info .value,
#cart-summary-product-list .product-line-info .label,
#cart-summary-product-list .product-line-info .value {
  color: var(--color-black);
  font-size: 0.8125rem;
  line-height: 0.875rem;
  font-weight: 400;
}

@media (max-width: 991px) {
  #cart .product-line-info a.label {
    font-size: 0.875rem;
    line-height: 1rem;
  }
}

/* ----------------------------- PRODUCT PRICE ----------------------------- */

#cart .product-price {
  font-size: 1.25rem;
  line-height: 1.5rem;
  margin-bottom: 0.625rem;
  margin-bottom: 0;
  color: var(--color-black);
}

#cart .product-price .gift {
  font-size: 0.875rem;
  line-height: 1.125rem;
}

#cart .product-price~.product-line-info * {
  font-size: 0.75rem;
  line-height: 0.75rem;
}

@media (max-width: 991px) {
  #cart .product-price {
    font-size: 0.875rem;
    line-height: 1.125rem;
    margin-bottom: 0;
  }
}

/* ----------------------------- QUANTITY CONTROLS ----------------------------- */

#cart .ndk-rowcustomization,
#cart .ndkCartRender-controls {
  display: none;
}

#cart #main .bootstrap-touchspin .input-group-btn-vertical {
  position: unset;
}

#cart #main input.js-cart-line-product-quantity.form-control {
  background: var(--color-white) !important;
  border: 1px solid var(--color-black) !important;
  border-radius: 8px !important;
  color: var(--color-black) !important;
  padding: 0.625rem 0 !important;
  text-align: center;
  width: 3rem !important;
  font-family: var(--ffMBo)!important;
}

#cart #main button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up,
#cart #main button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down {
  background-color: var(--color-white) !important;
  border: 0;
  height: auto;
  left: 1px;
  position: absolute;
  text-align: center;
  width: 100%;
  transform: none !important;
  left: initial !important;
  right: initial !important;
  border: 1px solid var(--color-black) !important;
}

#cart #main button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up.noLess,
#cart #main button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down.noLess {
  background-color: var(--color-black) !important;
}

#cart #main button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up {
  border-radius: 3.125rem 3.125rem 0 0;
  top: 0;
  transform: translateY(-100%);
  padding: 0.5rem 0 0 0;
  bottom: unset !important;
  top: -100% !important;
  left: 15% !important;
}

#cart #main button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down {
  border-radius: 0 0 3.125rem 3.125rem;
  bottom: 0;
  transform: translateY(100%);
  padding: 0 0 0.5rem 0;
  top: 117.5% !important;
  bottom: initial !important;
  left: 15% !important;
}

#cart #main button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up i,
#cart #main button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down i {
  position: unset;
}

#cart .product-line-info .product-description * {
  margin-top: 7px!important;
  font-size: 1.0625rem!important;
  line-height: 1.5rem!important;
  color: var(--color-black)!important;
  text-align: start!important;
}

@media (width < 577px) {
  #cart #main input.js-cart-line-product-quantity.form-control {
    font-size: 1.25rem!important;
    line-height: 1.25rem!important;
  }
}

/* ----------------------------- CART SUMMARY TOTALS ----------------------------- */

.card-block.cart-summary-totals .cart-summary-line.cart-total {
  background-color: transparent;
}

.card-block.cart-summary-totals .cart-summary-line.cart-total .label,
.card-block.cart-summary-totals .cart-summary-line.cart-total .value {
  color: var(--color-black);
}

.card-block.checkout {
  padding-bottom: 0;
}



/* ----------------------------- PROMO CODE ----------------------------- */

.promo-code {
  position: relative;
}

.promo-code .promo-input {
  border-radius: 0.25rem;
  border: 1px solid #ddd;
  padding: 0.5rem 0.625rem;
  width: 100%;
}

.block-promo .promo-code {
  padding: 0 0 0.9375rem 0;
}

.block-promo .promo-code form {
  display: flex;
}

.block-promo .promo-input+button {
  background: var(--color-black);
  border-radius: 0.25rem;
  border: 0;
  margin-left: 0.9375rem;
  margin-top: 0;
  padding: 0.5rem 1.25rem;
  display: flex;
  align-items: center;
}

.block-promo .promo-input+button svg>* {
  fill: white;
}

/* ----------------------------- CHECKOUT STEP ----------------------------- */

.checkout-step:not(.-current) {
  display: none;
}

body#checkout .step-number {
  display: none !important;
}

body#checkout section.checkout-step {
  border: 0;
  background-color: var(--color-greybg);
}

body#checkout section.checkout-step .step-title {
  color: var(--color-black);
  font-size: 1.5625rem;
  line-height: 1.875rem;
  margin-bottom: 2.5rem;
  padding: 0 0 1.875rem 0 !important;
  text-align: center;
  text-transform: unset;
}

.form-control {
  background-color: transparent;
}

body#checkout section.checkout-step .forgot-password {
  margin-bottom: 0.9375rem;
  margin-left: 0;
}

@media (max-width: 991px) {
  body#checkout section.checkout-step {
    padding: 0;
  }

  body#checkout section.checkout-step.-current .step-title {
    display: none;
  }

  body#checkout button[type="submit"] {
    display: block;
    float: none !important;
    margin: 0 auto;
  }
}

@media (max-width: 575px) {
  body#checkout section.checkout-step .content {
    padding: 0;
  }
}

/* ----------------------------- ADDRESS MANAGEMENT ----------------------------- */

body#checkout section.checkout-step .address-item {
  align-items: center;
  background-color: transparent;
  border: 0;
  display: flex;
  flex: 0 1 100%;
  justify-content: space-between;
}

body#checkout section.checkout-step .address-item.selected {
  border: 0;
  background-color: var(--color-white);
}

body#checkout section.checkout-step .radio-block {
  align-items: center;
  display: flex;
}

body#checkout section.checkout-step .radio-block>.custom-radio+div {
  margin-left: 0.9375rem;
}

body#checkout section.checkout-step .address {
  margin-left: 0;
}

body#checkout section.checkout-step .add-address a {
  color: var(--color-black);
  text-decoration: underline;
}

.checkout-address-subtitle {
  align-items: center;
  display: flex;
  justify-content: space-between;
}

.checkout-address-subtitle h2 {
  color: var(--color-black);
  font-size: 1.25rem;
  line-height: 1.5rem;
  font-weight: 700;
}

body#checkout section.checkout-step .delete-address .delete,
body#checkout section.checkout-step .delete-address .edit,
body#checkout section.checkout-step .edit-address .delete,
body#checkout section.checkout-step .edit-address .edit {
  font-size: 1.25rem;
  line-height: 1.5rem;
}

/* ----------------------------- CHECKOUT SUMMARY ----------------------------- */

.checkout-summary-title {
  color: var(--color-black);
  font-size: 1.5rem;
  line-height: 1.875rem;
  font-weight: 700;
  margin: 0;
  padding: 1.25rem 1.875rem;
}

.checkout-summary-title .material-icons {
  display: none;
}

#checkout #js-checkout-summary {
  background-color: var(--color-white);
  margin-bottom: 0;
}

#checkout #js-checkout-summary .card-block {
  padding: 0;
}

.product-summary-toggle {
  background-color: var(--color-white);
}

@media (max-width: 991px) {
  #checkout #content>.row {
    display: flex;
    flex-direction: column-reverse;
  }

  .checkout-summary-title {
    font-size: 1.125rem;
    line-height: 1.375rem;
    font-weight: 400;
    margin: 0;
    padding: 0.9375rem;
    text-align: center;
  }

  .checkout-summary-title .material-icons {
    display: inline-block;
    margin-left: 0.625rem;
    transition: transform 0.3s ease;
  }

  .checkout-summary-title.active .material-icons {
    transform: rotate(-180deg);
  }

  .product-summary-toggle {
    height: 0;
    overflow: hidden;
    transition: height 0.4s ease;
  }
}

/* ----------------------------- CART SUMMARY PRODUCT LIST ----------------------------- */

#checkout #cart-summary-product-list .media {
  align-items: center;
  border-bottom: 3px solid #f4f4f4;
  display: flex;
  justify-content: space-between;
  overflow: visible;
  padding: 0.9375rem 1.875rem;
}

#checkout #cart-summary-product-list .media-left a {
  display: block;
  position: relative;
}

#checkout #cart-summary-product-list .media-body {
  font-weight: 700;
  padding: 0 1.875rem;
}

#checkout #cart-summary-product-list .product-quantity {
  align-items: center;
  background-color: var(--color-black);
  border-radius: 0.75rem;
  color: white;
  display: flex;
  font-size: 0.75rem;
  line-height: 1rem;
  height: 1.5rem;
  justify-content: center;
  position: absolute;
  right: -0.75rem;
  top: -0.1875rem;
  width: 1.5rem;
}

#checkout #cart-summary-product-list .product-price {
  font-size: 0.875rem;
  line-height: 1.125rem;
  margin-bottom: 0;
}

#checkout .cart-summary-subtotals-container {
  padding: 1.875rem 1.875rem 0.9375rem 1.875rem !important;
}

#checkout .card-block.cart-summary-totals .cart-summary-line.cart-total {
  padding: 0.9375rem 1.875rem 1.875rem 1.875rem !important;
}

body#checkout .cart-grid-right .card .cart-summary-subtotals-container {
  border: 0;
}

@media (max-width: 991px) {
  #checkout #cart-summary-product-list .media,
  #checkout .cart-summary-subtotals-container,
  #checkout .card-block.cart-summary-totals .cart-summary-line.cart-total {
    padding: 0.9375rem !important;
  }
}

/* ----------------------------- DELIVERY OPTIONS ----------------------------- */

body#checkout section.checkout-step .delivery-options .delivery-option {
  background-color: #fff;
  border-radius: 0.25rem;
  border: 1px solid #d9d9d9;
}

body#checkout section.checkout-step .delivery-options .delivery-option.active {
  background-color: #fafafa;
  border-color: var(--color-black);
}

body#checkout section.checkout-step .carrier-name {
  font-size: 0.9375rem;
  line-height: 1.1875rem;
  font-weight: 700;
}

/* ----------------------------- PAYMENT OPTIONS ----------------------------- */

body#checkout .payment-options .payment-option-item {
  border-radius: 0.25rem;
  border: 1px solid #d9d9d9;
  margin-bottom: 0.9375rem;
  padding: 1.25rem;
  background-color: #fff;
}

body#checkout .payment-options .payment-option-item.active {
  background-color: #fafafa;
  border-color: var(--color-black);
}

body#checkout .payment-options .payment-option-item img {
  display: none;
}

body#checkout section.checkout-step .payment-options label {
  text-align: left;
}

body#checkout section.checkout-step .payment-options .payment-option {
  margin-bottom: 0;
}

body#checkout .additional-information {
  margin-left: 0;
}

/* ----------------------------- FOOTER REASSURANCE ----------------------------- */

.checkout-footer-reassurance-wrapper {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  max-width: 1400px;
  width: 100%;
}

.checkout-footer-reassurance-item {
  align-items: center;
  display: flex;
  justify-content: center;
  padding: 0 3.75rem;
  position: relative;
  text-align: center;
  width: 25%;
}

.checkout-footer-reassurance-item p {
  margin-bottom: 0;
}

.checkout-footer-reassurance-wrapper>.checkout-footer-reassurance-item:not(:first-child):after {
  background-color: #484848;
  content: "";
  height: 5rem;
  left: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 1px;
}

@media (max-width: 991px) {
  .checkout-footer-reassurance-item {
    padding: 1.875rem 3.75rem;
    width: 100%;
  }

  .checkout-footer-reassurance-wrapper>.checkout-footer-reassurance-item:not(:first-child):after {
    height: 1px;
    left: 50%;
    right: unset;
    top: 0;
    transform: translateX(-50%);
    width: 80%;
  }
}

/* ----------------------------- ACCOUNT TOGGLE ----------------------------- */

.checkout-account-toggle-wrapper {
  align-items: center;
  display: flex;
  justify-content: center;
}

.checkout-account-toggle {
  margin: 0 0.625rem;
}

.checkout-account-tab:not(.active) {
  display: none;
}

/* ----------------------------- ORDER CONFIRMATION ----------------------------- */

body#order-confirmation .h1 {
  color: var(--color-black);
  font-size: 1.5625rem;
  line-height: 1.875rem;
  font-weight: 700;
  text-transform: inherit;
}

body#order-confirmation #order-items .h3 {
  color: var(--color-black);
  font-size: 1rem;
  line-height: 1.25rem;
  font-weight: 700;
  text-transform: inherit;
}

body#order-confirmation #order-details>.card-title {
  color: var(--color-black);
  font-size: 1.25rem;
  line-height: 1.5rem;
  font-weight: 700;
  text-transform: inherit;
}

/* ----------------------------- HOVER EFFECTS ----------------------------- */

@media (min-width: 769px) {
  body#checkout a:hover {
    color: var(--color-secondary);
  }
}

/* ----------------------------- MOBILE SPECIFIC ----------------------------- */

@media (max-width: 768px) {
  body#checkout #header .header-top {
    padding: 0;
  }
}

/* ============================================================
  Tunnel de paiement
============================================================ */

body#checkout {
  background-color: #f4f4f4;
}

body#checkout .container {
  min-height: unset;
}

.media-list {
  margin: 0;
}

body#checkout .media-body {
  width: auto;
}

#checkout .card {
  border: 0;
}

#cart .product-price {
  font-size: 1.5rem;
  line-height: 1.75rem;
  margin-bottom: 10px;
  margin-bottom: 0;
  font-family: var(--ffMBo);
}

#cart .product-price .gift {
  font-size: 14px;
}

#cart .product-price~.product-line-info * {
  font-size: 12px;
  line-height: 12px;
}

.product-line-grid-right .cart-line-product-actions {
  line-height: 0;
}

.product-line-grid-right .cart-line-product-actions .remove-from-cart {
  margin-top: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

#checkout header {
  position: relative;
}

.checkout-header {
  border-bottom: 1px solid black;
  padding: 15px 0;
}

.checkout-header__wrapper {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 1600px;
  padding: 0 15px;
  width: 100%;
}

.checkout-steps-wrapper {
  padding: 70px 0 30px 0;
}

.checkout-steps {
  align-items: center;
  display: flex;
  justify-content: space-between;
  margin: 0 auto;
  max-width: 1300px;
  padding: 0 35px;
  position: relative;
  width: 100%;
}

.checkout-steps:after {
  /* border-top: 1px dashed #cbcbcb; */
  bottom: 9px;
  content: "";
  height: 1px;
  left: 15px;
  position: absolute;
  width: calc(100% - 30px);
  z-index: -1;
}

.checkout-steps__item__inner {
  position: relative;
}

.checkout-steps__item__inner p {
  color: #cbcbcb;
  font-size: 12px;
  font-weight: 700;
  left: 50%;
  position: absolute;
  text-align: center;
  top: -25px;
  transform: translateX(-50%);
  white-space: nowrap;
}

.checkout-steps__item.enabled.last .checkout-steps__item__inner p {
  color: black;
}

.checkout-steps__item.enabled:before {
  border-top: 1px solid #cbcbcb;
  bottom: 9px;
  content: "";
  height: 1px;
  position: absolute;
  width: calc(25% - 31px);
  z-index: 0;
}

.checkout-steps__item:after {
  border-top: 1px dashed #cbcbcb;
  bottom: 9px;
  content: "";
  height: 1px;
  position: absolute;
  width: calc(25% - 31px);
  z-index: 0;
}

.checkout-steps__item.enabled .checkout-steps__dot {
  background-color: #cbcbcb;
  border-color: #cbcbcb;
}

.checkout-steps__item.enabled.last .checkout-steps__dot {
  background: radial-gradient(black 0%, black 20%, white 20%);
  border-color: black;
}

.checkout-steps>.checkout-steps__item.activate-step1.enabled:before {
  display: none;
}

.checkout-steps>.checkout-steps__item.activate-step2.enabled:before {
  left: calc(0% + 35px);
}

.checkout-steps>.checkout-steps__item.activate-step3.enabled:before {
  left: calc(25% + 21px);
}

.checkout-steps>.checkout-steps__item.activate-step4.enabled:before {
  left: calc(50% + 10px);
}

.checkout-steps>.checkout-steps__item.activate-step5.enabled:before {
  left: calc(75% - 1px);
}

.checkout-steps>.checkout-steps__item.activate-step1:after {
  left: calc(0% + 45px);
}

.checkout-steps>.checkout-steps__item.activate-step2:after {
  left: calc(25% + 21px);
}

.checkout-steps>.checkout-steps__item.activate-step3:after {
  left: calc(50% + 10px);
}

.checkout-steps>.checkout-steps__item.activate-step4:after {
  left: calc(75% - 14px);
}

.checkout-steps>.checkout-steps__item.activate-step5:after {
  display: none;
}

.checkout-steps__dot {
  background-color: white;
  z-index: 1;
  position: relative;
  border-radius: 10px;
  border: 1px solid #cbcbcb;
  display: block;
  height: 20px;
  margin: 25px auto 0 auto;
  width: 20px;
}

#cart #wrapper,
#checkout #wrapper {
  background-color: #f4f4f4;
  padding: 0;
}

#cart .cart-grid,
body#checkout section#content {
  display: flex;
  align-items: flex-start;
  gap: 30px;
  padding: 50px 0 133px 0;
  margin-bottom: 0;
}

body#cart .cart-grid-body,
body#checkout section#content .cart-grid-body {
  width: 66.66%;
  background-color: var(--color-greybg);
}

body#cart .cart-grid-right,
body#checkout section#content .cart-grid-right {
  width: 33.33%;
  background-color: var(--color-greybg);
}

#cart .cart-grid-body > .card {
  background-color: var(--color-greybg);
}

#cart .cart-grid-body,
#cart .card {
  margin-bottom: 0;
}

.cart-grid-body {
  background-color: white;
  padding: 30px;
}

.cart-grid-body .card-block {
  padding: 10px;
}

@media (width < 1201px) {
  .cart-item {
      padding: 2rem 0px;
      border: none!important;
  }
}

#cart .cart-grid-body .card-block h1 {
  border-bottom: none;
  color: black;
  font-size: 25px;
  margin: 0 0 14px 0;
  padding-bottom: unset;
  text-align: center;
  text-transform: unset;
  text-transform: uppercase;
  font-family: var(--ffMBo);
}

.cart-grid-body .cart-overview {
  padding: 0;
}

.card-block.cart-summary-totals {
  padding: 15px 0;
}

.card-block + .card-block.cart-summary-totals {
  padding: 0;
}

#cart .cart-summary {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  padding: 0px;
}

#cart .cart-summary .card-block:not(.cart-summary-totals) {
  padding: 0;
}

#cart .cart-summary .card-block:has(+ .card-block.cart-summary-totals) {
  padding: 30px 30px 0 30px !important;
  background-color: var(--color-greybg);
}

.cart-summary-line {
  margin-bottom: unset;
}

.card-block.cart-summary-totals .cart-summary-line.cart-total {
  padding-block: 10px 0px;
}

#cart .cart-summary .card-block + .card-block.cart-summary-totals {
  padding: 0px 30px 30px 30px !important;
  background-color: var(--color-greybg);
  margin-bottom: 20px;
}

#cart .cart-items {
  list-style: none;
}

#cart .product-line-grid {
  align-items: center;
  display: grid;
  grid-template-columns: auto 1fr 4fr;
  gap: 30px;
  padding-left: 1px;
}

#cart .product-line-grid-left,
#cart .product-line-grid-right {
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#cart .product-line-grid > .product-line-grid-body {
  display: grid;
  grid-template-columns: 5fr 7fr;
  gap: 30px;
}

.cart-product-line-right {
  align-items: center;
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 30px;
}

#cart .product-line-info a.label {
  font-size: 1.25rem;
  line-height: 1.875rem;
  font-weight: 700;
  font-family: var(--ffMBo);
  text-transform: uppercase;
}

#cart .product-line-info .label,
#cart .product-line-info .value,
#cart-summary-product-list .product-line-info .label,
#cart-summary-product-list .product-line-info .value {
  color: black;
  font-size: .9375rem;
  font-weight: 400;
  line-height: 1.25rem;
}

#cart .ndk-rowcustomization,
#cart .ndkCartRender-controls {
  display: none;
}

#cart .bootstrap-touchspin .input-group-btn-vertical {
  position: unset;
}

#cart input.js-cart-line-product-quantity.form-control {
  background: #f7f7f7;
  border: 0;
  padding: 10px 0 !important;
  text-align: center;
  width: 3rem !important;
}

#cart button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up,
#cart button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down {
  background-color: #f7f7f7;
  border: 0;
  height: auto;
  left: 1px;
  position: absolute;
  text-align: center;
  width: 100%;
}

#cart button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up {
  border-radius: 50px 50px 0 0;
  top: 0;
  transform: translateY(-100%);
  padding: 8px 0 0 0;
}

#cart button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down {
  border-radius: 0 0 50px 50px;
  bottom: 0;
  transform: translateY(100%);
  padding: 0 0 8px 0;
}

#cart button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up i,
#cart button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down i {
  position: unset;
}

.product-price {
  color: black;
}

.card-block.cart-summary-totals .cart-summary-line.cart-total {
  background-color: transparent;
}

.card-block.cart-summary-totals .cart-summary-line.cart-total .label,
.card-block.cart-summary-totals .cart-summary-line.cart-total .value {
  color: black;
  text-transform: uppercase;
  font-family: var(--ffMBo);
  font-size: 1.125rem;
  line-height: 1.25rem;
}

#cart .product-line-grid-left .product-image img {
  object-fit: cover;
  aspect-ratio: 210/200;
  width: 100%;
  height: auto;
}

.card-block.cart-summary-totals .cart-summary-line.cart-total .label > span.taxAdded {
  color: #898989;
  font-family: var(--ffMRe);
  font-weight: 100;
}

.card-block.checkout {
  padding-bottom: 0;
}

.card-block.checkout .btn-primary:hover {
  background-color: var(--color-white)!important;
  color: var(--color-black)!important;
  border-color: var(--color-black)!important;
  transition: all 0.3s ease;
}

.promo-code {
  position: relative;
}

.promo-code .promo-input {
  border-radius: 4px;
  border: 1px solid var(--color-black);
  padding: 8px 10px;
  width: 100%;
}

#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-up i::after,
#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-down i::after {
    position: relative;
    top: -6.5%;
    color: var(--color-black)!important;
}

#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-up.noLess i::after,
#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-down.noLess i::after {
    color: var(--color-white)!important;
}

.block-promo .promo-code {
  padding: 0 0 15px 0;
}

.block-promo .promo-code form {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 14px;
}

.block-promo .promo-input+button {
  background: var(--color-white);
  color: var(--color-black);
  border-radius: 4px;
  border: 0;
  margin-left: unset;
  margin-top: 0;
  padding: 8px 20px;
  display: flex;
  align-items: center;
  text-transform: uppercase;
  font-family: var(--ffMSeBo);
  border-radius: 50px;
  border: 1px solid var(--color-black);
  padding-inline: 52px;
}

.block-promo .promo-input+button svg>* {
  fill: white;
}

.checkout-step:not(.-current) {
  display: none;
}

body#checkout .step-number {
  display: none !important;
}

body#checkout section.checkout-step {
  border: 0;
}

body#checkout section.checkout-step .step-title {
  color: black;
  font-size: 25px;
  margin-bottom: 40px;
  padding: 0 0 30px 0 !important;
  text-align: center;
  text-transform: unset;
}

.form-control {
  background-color: transparent;
}

body#checkout section.checkout-step .forgot-password {
  margin-bottom: 15px;
  margin-left: 0;
}

body#checkout #header,
body#checkout #header .header-top {
  background: white;
}

body#checkout section.checkout-step .address-item {
  align-items: center;
  background-color: transparent;
  border: 0;
  display: flex;
  flex: 0 1 100%;
  justify-content: space-between;
}

body#checkout section.checkout-step .address-item.selected {
  border: 1px solid var(--color-black);
}

body#checkout section.checkout-step .radio-block {
  align-items: center;
  display: flex;
}

body#checkout section.checkout-step .radio-block>.custom-radio+div {
  margin-left: 15px;
}

body#checkout section.checkout-step .address {
  margin-left: 0;
}

body#checkout section.checkout-step .add-address a {
  color: black;
  text-decoration: underline;
}

.checkout-address-subtitle {
  align-items: center;
  display: flex;
  justify-content: space-between;
}

.checkout-address-subtitle h2 {
  color: black;
  font-size: 20px;
  font-weight: 700;
}

.activate-step1,
.activate-step2,
.activate-step3,
.activate-step4,
.activate-step5 {
  cursor: default;
  pointer-events: none;
}

.activate-step1.enabled,
.activate-step2.enabled,
.activate-step3.enabled,
.activate-step4.enabled,
.activate-step5.enabled {
  cursor: pointer;
  pointer-events: unset;
}

.checkout-summary-title {
  color: black;
  font-size: 24px;
  font-weight: 700;
  margin: 35px 0;
}

.checkout-summary-title .material-icons {
  display: none;
}

#checkout #js-checkout-summary {
  background-color: transparent;
  margin-bottom: 0;
}

#checkout #js-checkout-summary .card-block {
  background-color: var(--color-greybg);
  padding: 0;
}

#checkout #cart-summary-product-list .media {
  align-items: center;
  border-bottom: 1px solid var(--color-black);
  display: flex;
  justify-content: space-between;
  overflow: visible;
  padding: 15px 0px;
  margin-inline: 30px;
}

#checkout #cart-summary-product-list .media:last-child {
  border-bottom: none;
}

#checkout .form-control {
  border: 1px solid var(--color-black)!important;
  background-color: var(--color-white)!important;
}

body#checkout #cart-summary-product-list .media-body > br {
  display: none;
}

#checkout #cart-summary-product-list .media-left a {
  display: block;
  position: relative;
}

#checkout #cart-summary-product-list .media-body {
  font-weight: 700;
  padding: 0 30px;
}

#checkout #cart-summary-product-list .product-quantity {
  align-items: center;
  background-color: black;
  border-radius: 12px;
  color: white;
  display: flex;
  font-size: 12px;
  height: 24px;
  justify-content: center;
  position: absolute;
  right: -12px;
  top: -3px;
  width: 24px;
}

#checkout #cart-summary-product-list .product-price {
  font-size: 14px;
  margin-bottom: 0;
}

#checkout .cart-summary-subtotals-container {
  padding: 30px 30px 15px 30px !important;
}

#checkout .card-block.cart-summary-totals .cart-summary-line.cart-total {
  padding: 15px 30px 30px 30px !important;
}

body#checkout .cart-grid-right .card .cart-summary-subtotals-container {
  border: 0;
}

body#checkout section.checkout-step .delivery-options .delivery-option {
  background-color: var(--color-white);
  border-radius: 0;
  border: 1px solid var(--color-dark-grey);
  margin-inline: unset;
}

body#checkout section.checkout-step .delivery-options .delivery-option.active {
  background-color: #fafafa;
  border-color: black;
}

body#checkout section.checkout-step .carrier-name {
  font-size: 15px;
  font-weight: 700;
}

body#checkout .payment-options .payment-option-item {
  border-radius: 0;
  border: 1px solid var(--color-dark-grey);
  margin-bottom: 15px;
  padding: 20px;
}

body#checkout .payment-options .payment-option-item.active {
  background-color: #fafafa;
  border-color: black;
}

body#checkout .payment-options .payment-option-item img {
  display: none;
}

body#checkout section.checkout-step .payment-options label {
  text-align: left;
}

body#checkout section.checkout-step .payment-options .payment-option {
  margin-bottom: 0;
}

body#checkout .additional-information {
  margin-left: 0;
}

.checkout-footer-reassurance-wrapper {
  display: flex;
  flex-wrap: wrap;
  margin: 0 auto;
  max-width: 1400px;
  width: 100%;
}

.checkout-footer-reassurance-item {
  align-items: center;
  display: flex;
  justify-content: center;
  padding: 0 60px;
  position: relative;
  text-align: center;
  width: 25%;
}

.checkout-footer-reassurance-item p {
  margin-bottom: 0;
}

.checkout-footer-reassurance-wrapper>.checkout-footer-reassurance-item:not(:first-child):after {
  background-color: #484848;
  content: "";
  height: 80px;
  left: 0;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 1px;
}

.checkout-account-toggle-wrapper {
  align-items: center;
  display: flex;
  justify-content: center;
}

.checkout-account-toggle {
  margin: 0 10px;
}

.checkout-account-tab:not(.active) {
  display: none;
}

.checkout-mobile-step {
  display: none;
}

body#order-confirmation .h1 {
  color: black;
  font-size: 25px;
  font-weight: 700;
  text-transform: inherit;
}

body#order-confirmation #order-items .h3 {
  color: black;
  font-size: 16px;
  font-weight: 700;
  text-transform: inherit;
}

body#order-confirmation #order-details>.card-title {
  color: black;
  font-size: 20px;
  font-weight: 700;
  text-transform: inherit;
}

/* .cart-summary-line .label, 
.cart-summary-line .value {
  font-size: 14px;
  line-height: 1.25rem;
  font-family: var(--ffMM);
} */

.cart-summary-line:not(:last-child) {
  margin-bottom: 10px;
}

#checkout .checkout-account-toggle-wrapper > .btn {
  background-color: var(--color-white);
  color: var(--color-black);
  border: 1px solid var(--color-black);
  transition: all 0.3s ease;
}

#checkout .checkout-account-toggle-wrapper > .btn.active {
  background-color: var(--color-black);
  color: var(--color-white);
  border: 1px solid var(--color-black);
  transition: all 0.3s ease;
}

@media (width < 1201px) {
  #cart .product-line-info a.label,
  #cart .product-price,
  .product-line-grid-right .cart-line-product-actions .remove-from-cart {
    font-size: 1rem;
    line-height: 1.25rem;
  }
}

@media (max-width: 991px) {
  body#cart #wrapper .container,
  body#checkout #wrapper .container {
    padding: 0 35px;
  }

  #cart .product-line-grid {
    grid-template-columns: auto auto auto;
  }

  .card {
    background-color: #fff;
  }

  #cart .cart-grid,
  body#checkout section#content {
    flex-direction: column-reverse;
    align-items: stretch;
    padding: 30px 0 128px 0;
  }

  #cart .cart-grid {
    padding-top: 0px!important;
  }

  body#cart .cart-grid-body,
  body#checkout section#content .cart-grid-body,
  body#cart .cart-grid-right,
  body#checkout section#content .cart-grid-right {
    width: 100%;
  }

  #checkout #wrapper {
    padding: 0;
  }

  .checkout-steps-wrapper {
    padding: 30px 15px;
  }

  .checkout-steps {
    justify-content: center;
  }

  .checkout-steps:after,
  .checkout-steps__dot,
  .checkout-steps__item:not(.enabled.last),
  .checkout-steps>.checkout-steps__item:after,
  .checkout-steps>.checkout-steps__item:before {
    display: none;
  }
  
  .checkout-steps__item.enabled.last {
    display: block!important;
  }

  .checkout-steps__item__inner p {
    font-size: 16px;
    margin-bottom: 0;
    position: unset;
    transform: none;
  }

  .checkout-mobile-step {
    display: inline-block;
    font-weight: 400;
  }

  #cart .cart-grid-body .card-block h1 {
    font-size: 18px;
    margin: 10px 0 20px 0;
  }

  #cart .product-line-info a.label {
    font-size: 1rem;
    line-height: 1.25rem;
    margin-bottom: unset;
    display: block;
    text-align: start;
  }

  #cart .product-line-info {
    margin-bottom: 8px;
  }

  .cart-product-line-right {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 12px;
  }

  #cart .product-line-grid-left,
  #cart .product-line-grid-body,
  #cart .product-line-grid-right {
    display: block;
  }

  #cart .product-price {
    font-size: 1rem;
    line-height: 1.25rem;
    margin-bottom: 0;
  }

  .product-line-grid-right .cart-line-product-actions .remove-from-cart {
    font-size: .75rem;
    line-height: .875rem;
  }

  #cart .product-line-info .label,
  #cart .product-line-info .value,
  #cart-summary-product-list .product-line-info .label,
  #cart-summary-product-list .product-line-info .value {
    font-size: 17px;
    line-height: 1.5rem;
  }

  .product-line-grid-right .cart-line-product-actions .remove-from-cart i,
  .product-line-grid-right .product-price .remove-from-cart i {
    font-size: 15px;
  }

  .product-line-grid-body {
    margin-bottom: 0;
  }

  .checkout-footer-reassurance-item {
    padding: 30px 60px;
    width: 100%;
  }

  .checkout-footer-reassurance-wrapper>.checkout-footer-reassurance-item:not(:first-child):after {
    height: 1px;
    left: 50%;
    right: unset;
    top: 0;
    transform: translateX(-50%);
    width: 80%;
  }

  #checkout #content>.row {
    display: flex;
    flex-direction: column-reverse;
  }

  .checkout-summary-title {
    background-color: white;
    font-size: 18px;
    font-weight: 400;
    margin: 0;
    padding: 15px;
    text-align: center;
  }

  .checkout-summary-title .material-icons {
    display: inline-block;
    margin-left: 10px;
    transition: transform 0.3s ease;
  }

  .checkout-summary-title.active .material-icons {
    transform: rotate(-180deg);
  }

  .product-summary-toggle {
    height: 0;
    overflow: hidden;
    transition: height 0.4s ease;
  }

  .product-summary-toggle.active {
    height: auto;
    transition: all 0.4s ease;
  }

  #checkout #cart-summary-product-list .media,
  #checkout .cart-summary-subtotals-container,
  #checkout .card-block.cart-summary-totals .cart-summary-line.cart-total {
    padding: 15px !important;
  }

  body#checkout section.checkout-step {
    padding: 0;
  }

  body#checkout section.checkout-step.-current .step-title {
    display: none;
  }

  body#checkout button[type="submit"] {
    display: block;
    float: none !important;
    margin: 0 0 0 170px;
  }

  .cart-summary-line .label, .cart-summary-line .value {
    font-size: .875rem;
    line-height: 1.25rem;
  }

  #checkout #js-checkout-summary .card-block .cart-summary-line {
    padding-inline: 30px!important;
  }
  
  #checkout #js-checkout-summary .card-block.cart-summary-subtotals-container {
    padding-inline: unset!important;
  }

  body#checkout section.checkout-step .content {
    padding: unset;
  }
}

@media (max-width: 768px) {
  body#cart .cart-grid-body {
    padding-top: unset!important;
    background-color: transparent;
  }

  #cart .cart-grid-body > .card {
    border-radius: 10px;
  }
  
  #cart .cart-summary,
  .cart-grid-body {
    padding: 3px 0px 0px 0px;
  }

  #cart .cart-grid-body .card-block h1 {
    display: none;
    margin-block: 0;
    padding-block: 15px;
  }

  #cart .product-line-grid-left {
    height: 100%;
    display: flex;
    align-items: center;
  }

  #cart .product-line-grid {
    display: grid;
    grid-template-columns: auto 100px auto;
    gap: 20px;
    padding-inline: 30px;
  }

  #cart .block-promo {
    margin-bottom: 33px;
  }

  #cart .product-line-grid > .product-line-grid-body {
    display: block;
  }

  body#checkout section.checkout-step .content {
    padding: 30px;
  }

  body#checkout button[type="submit"] {
    margin: 0 auto;
  }
}

@media (max-width: 575px) {
  #cart .product-line-grid {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 9px;
  }

  #cart .cart-items > .cart-item:not(:last-child) {
    padding-bottom: 0px;
  }

  #cart .cart-items > .cart-item:not(:last-child) .cart-product-line-right {
    padding-bottom: 30px;
    border-bottom: 1px solid var(--color-dark-grey);
  }

  #cart .product-line-grid-left {
    margin-top: unset;
    margin-inline: auto;
  }

  #cart .product-line-grid-left.qty {
    margin-top: 44px;
  }

  #cart .product-line-grid-right {
    margin-top: 17px;
    margin-inline: auto;
  }

  #cart .product-line-info a.label {
    font-size: 1.25rem;
    line-height: 1.875rem;
  }

  #cart .product-price {
    font-size: 1.5rem;
    line-height: 1.75rem;
  }

  .cart-product-line-right {
    width: 100%;
  }

  #cart .product-line-grid-left.qty .bootstrap-touchspin{
    padding-inline: 44px;
  }
  
  #cart .product-line-grid > .product-line-grid-body {
    width: 100%;
  }

  .cart-items {
    padding: 0;
  }

  #cart .bootstrap-touchspin .input-group-btn-vertical {
    position: static!important;
  }

  #cart #main button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up,
  #cart #main button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down {
    top: 10%!important;
  }

  #cart #main button.btn.btn-touchspin.js-touchspin.js-decrease-product-quantity.bootstrap-touchspin-down {
    left: 0%!important;
    right: unset!important;
  }

  #cart #main input.js-cart-line-product-quantity.form-control {
    width: 88px!important;
  }

  #cart #main button.btn.btn-touchspin.js-touchspin.js-increase-product-quantity.bootstrap-touchspin-up {
    right: 0%!important;
    left: unset!important;
  }

  /* body#checkout section.checkout-step .content {
    padding: 0;
  } */

  #checkout .checkout-account-toggle-wrapper {
    flex-direction: column;
    gap: 16px;
  }

  #checkout .checkout-account-toggle-wrapper > .btn {
    width: 100%;
  }

  #checkout .checkout-account-toggle-wrapper > .btn.active {
    width: 100%;
  }
}

/* ----------------------------- BLOCKPROMO - DÉBUT ----------------------------- */

#cart .block-promo:not(:has(.block-promo)) {
  background-color: var(--color-greybg);
  margin-bottom: 30px;
  padding: 33px 33px 27px 33px;
}

#cart .block-promo .promo-code {
  padding-bottom: unset;
}

#cart .block-promo .cart-voucher p {
  text-transform: uppercase;
  font-family: var(--ffMMe);
  font-size: .9375rem;
  line-height: 1.875rem;
  margin-bottom: 14px;
}

/* ----------------------------- BLOCKPROMO - FIN ----------------------------- */


/* -- -- -- -- -- CONFIRMATION DE COMMANDE - DÉBUT -- -- -- -- -- */

#content-hook_order_confirmation {
  background-color: var(--color-greybg);
  margin-bottom: unset;
  padding-bottom: 12px;
  grid-area: 1/1/2/2;
}

body#order-confirmation .h1 > i {
  display: none;
}

body#order-confirmation #content-hook_order_confirmation .h1 {
  text-transform: uppercase;
  text-align: center;
  margin-bottom: 14px;
}

body#order-confirmation #content-hook_order_confirmation > .card-block {
  padding-top: 29px;
}

body#order-confirmation #content-hook_order_confirmation .h1 + p {
  text-align: center;
}

body#order-confirmation #content.page-order-confirmation {
  background-color: var(--color-greybg);
  grid-area: 2/1/3/2;
}

#order-confirmation #order-items hr {
  display: none;
}

#order-confirmation #order-items > .row {
  margin-inline: unset;
}

#order-confirmation #order-items .details {
  text-transform: uppercase;
  font-family: var(--ffMBo);
  font-size: 1rem;
  line-height: 1.25rem;
}

body#order-confirmation #order-items .h3 {
  display: block;
}

body#order-confirmation #order-items .order-line {
    margin-top: 32px;
}

body#order-confirmation #content-hook_payment_return {
  background-color: var(--color-greybg);
  margin-bottom: unset;
  padding: unset;
  grid-area: 1/2/3/3;
}

body#order-confirmation #main {
  display: grid;
  grid-template-columns: 1fr .5fr;
  grid-template-rows: auto auto;
  margin-bottom: 56px;
  column-gap: 24px;
}

#order-items {
  border-right: unset;
}

#main .page-content.page-order-confirmation.card {
  margin-bottom: unset;
}

@media (width < 1201px) {
  body#order-confirmation #main {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: stretch;
  }

  body#order-confirmation #content-hook_payment_return {
    margin-top: 24px;
  }
}

@media (width < 769px) {
  body#order-confirmation #content-hook_payment_return {
    padding-block: 20px;
  }
  
  body#order-confirmation #content.page-order-confirmation,
  body#order-confirmation #order-details,
  body#order-confirmation #content-hook_payment_return {
    padding-inline: 20px;
  }
}

/* -- -- -- -- -- CONFIRMATION DE COMMANDE - FIN -- -- -- -- -- */